RubyGems Navigation menu

ensure_valid_encoding 0.5.3

For ruby 1.9 strings, replace bad bytes in given encoding with replacement strings, _or_ fail quickly on invalid encodings -- _without_ a transcode to a different encoding.

Gemfile
          gem 'ensure_valid_encoding', '~> 0.5.3'
  
  
  
  
  
  
  

install
          gem install ensure_valid_encoding
  
  
  
  
  
  
  

Authors:

  • Jonathan Rochkind

Owners:

Total downloads 58,167

For this version 53,697

Required Ruby Version: None

Links:

Versions:

  1. 0.5.3 - December 6, 2012 (8.5 KB)
  2. 0.5.2 - July 17, 2012 (8.5 KB)
  3. 0.5.1 - July 13, 2012 (8.5 KB)
  4. 0.5.0 - July 10, 2012 (8.5 KB)